MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023320Community[OCCT] OCCT:Visualizationpublic2012-07-18 13:322012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023320: The body of 'OpenCollector' function is fully equivalent to the body of 'CloseCollector' function
DescriptionAIS_InteractiveContext::CloseCollector() in AIS_InteractiveContext.lxx
and
AIS_InteractiveContext::OpenCollector() in AIS_InteractiveContext.cxx

set the value of 'myIsCollClosed' to Standard_True

I guess when opening the collector this flag should be set to Standard_False.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021047)
Pawel (developer)
2012-07-18 14:56

Corresponding git branch pushed. Please review.
(0021080)
abv (manager)
2012-07-19 19:56

No remarks, please test
(0021081)
abv (manager)
2012-07-19 20:13

Note that methods CloseCollector() and OpenCollector() are not used neither in OCCT code nor in applications I could check. Method IsCollectorClosed() is used in single place: at line 760 in AIS_InteractiveContext_2.cxx (method PurgeDisplay(), which in turn is used only in single place in QADraw.cxx). Do we need this stuff at all (and in AIS2d_InteractiveContect, too)?
(0021131)
apn (administrator)
2012-07-23 18:08

Dear BugMaster,
The workbenches
KAS:dev:mkv-23320-occt (GIT branch CR23320)
KAS:dev:mkv-23320-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23320-products_20072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master b31fce37
Timestamp: 2012-07-18 10:43:54
Author: Pawel
Details ] Diff ]
0023320: The body of 'OpenCollector' function is fully equivalent to the body of 'CloseCollector' function

When opening the collector setting the corresponding flag to Standard_False.
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-18 13:32 Pawel New Issue
2012-07-18 13:32 Pawel Assigned To => Pawel
2012-07-18 14:56 Pawel Note Added: 0021047
2012-07-18 14:56 Pawel Assigned To Pawel => bugmaster
2012-07-18 14:56 Pawel Status new => resolved
2012-07-19 19:56 abv Note Added: 0021080
2012-07-19 19:56 abv Status resolved => reviewed
2012-07-19 20:13 abv Note Added: 0021081
2012-07-20 11:42 mkv Assigned To bugmaster => mkv
2012-07-23 18:08 apn Note Added: 0021131
2012-07-23 18:08 apn Test case number => Not needed
2012-07-23 18:08 apn Assigned To mkv => bugmaster
2012-07-23 18:08 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master b31fce37
2012-07-30 16:33 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:33 Pawel Status tested => verified
2012-07-30 16:33 Pawel Resolution open => fixed
2012-08-15 10:30 abv Target Version 6.5.3 => 6.5.4
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker